llvm.org GIT mirror llvm / e9c0fde
Use UNSUPPORTED: system-windows instead of REQUIRES: nowindows or UNSUPPORTED: windows. nowindows is not currently defined and windows does not cover all cases. system-windows is also consistent with how other platforms are used. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@360368 91177308-0d34-0410-b5e6-96231b3b80d8 Stella Stamenova 3 months ago
2 changed file(s) with 2 addition(s) and 2 deletion(s). Raw diff Collapse all Expand all
5757 elif platform.system() == "Linux":
5858 features.add('system-linux')
5959 elif platform.system() in ['FreeBSD']:
60 config.available_features.add('system-freebsd')
60 features.add('system-freebsd')
6161 elif platform.system() == "NetBSD":
6262 features.add('system-netbsd')
6363
0 # REQUIRES: python-psutil
11
22 # llvm.org/PR33944
3 # UNSUPPORTED: windows
3 # UNSUPPORTED: system-windows
44
55 # FIXME: This test is fragile because it relies on time which can
66 # be affected by system performance. In particular we are currently